<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\IncidenceStudentSummaryRepository;
use Laravel\Lumen\Routing\Controller as BaseController;

/**
 * Controlador para Incidence Student Summary
 * @since   2018-03-28
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2018-03-28<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del controlador<br/>
 *          #edit1
 */
class IncidenceStudentSummaryController extends BaseController {

    protected $incidenceStudentSummary;

   /**
     * Constructor
     * @since   2018-03-28
     * @param   IncidenceStudentSummaryRepository  $incidenceStudentSummary repositorio
     * @author   Erick Vaca <epvaca@rutatec.com><br /><br/>
     *
     */
    public function __construct(IncidenceStudentSummaryRepository $incidenceStudentSummary){
        $this->incidenceStudentSummary = $incidenceStudentSummary;
    }

}