<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Event extends Model {

    public $timestamps = false;
    protected $table = 'event';
    protected $primaryKey = 'serial_event';
    public static $status_event = array('ACTIVE' => 'ACTIVO', 'INACTIVE' => 'INACTIVO');

    public function profiles() {
        return $this->belongsToMany(\App\Models\Profile::class, 'event_profile', 'serial_event', 'serial_prf')->withPivot('status_evpf');
    }

    public function sections() {
        return $this->belongsToMany(\App\Models\Section::class, 'event_section', 'serial_event', 'serial_set')->withPivot('status_evset');
    }

}
