<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Guardian extends Model {

    public $timestamps = false;
    protected $table = 'guardian';
    protected $primaryKey = 'serial_grd';

    public function students() {
        return $this->belongsToMany(\App\Models\Student::class, 'student_guardian', 'serial_grd', 'serial_std')
                        ->where('student.status_std', '=', 'ACTIVE')
                        ->where('status_stg', '=', 'ACTIVE')
                        ->orderBy('student.first_name_std')
                        ->orderBy('student.last_name_std');
    }

}
