<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para IncidenceCategory
 * @since   2017-03-08
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-03-08<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class IncidenceCategory extends Model {

    protected $table = 'incidence_category';
    protected $primaryKey = 'serial_ica';
    protected $fillable = array('serial_scy', 'incidence_serial_ica','name_ica',
    	'attendance_relation_ica','status_ica');
    public $timestamps = false;
    public static $attendance_relation_ica = array('NONE' =>  'Ninguna',
            'UNEXCUSED_ABSENCE' =>  'Falta Injustificada',
            'EXCUSED_ABSENCE' =>  'Falta Justificada',
        	'DELAY' =>  'Atraso');

}
