<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para IncidenceStudentSummary
 * @since   2017-03-08
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2018-03-08<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
  * @edit    2018-04-27<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Soporte configuracion por subperiodo<br/>
 *          #edit2
 */
class IncidenceStudentSummary extends Model {

    protected $table = 'incidence_student_summary';
    protected $primaryKey = 'serial_iss';
    protected $fillable = array('serial_ica', 'serial_std', 'serial_sbp',
    	'total_iss','cycle_iss','status_iss');
    public $timestamps = false;

}
