<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelEvaluationIndicators extends Model {

    public $timestamps = false;
    protected $table = 'level_evaluation_indicators';
    protected $primaryKey = 'serial_lei';


    function evaluationIndicatorsUnit(){
        return $this->belongsTo('App\Models\EvaluationIndicatorsUnit','serial_eiu','serial_eiu')->where('status_eiu','=','ACTIVE');
    }

    function subjectEvaluationIndicators(){
        return $this->belongsTo('App\Models\SubjectEvaluationIndicators','serial_lei','serial_lei')->where('status_sei','=','ACTIVE');
    }


}