<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelSpecificObjectives extends Model {

    public $timestamps = false;
    protected $table = 'level_specific_objectives';
    protected $primaryKey = 'serial_lso';


    function specificObjectives(){
        return $this->belongsTo('App\Models\PlanningSpecificObjectives','serial_pso','serial_pso')->where('status_pso','=','ACTIVE');
    }

    function subjectSpecificObjectives(){
        return $this->belongsTo('App\Models\SubjectSpecificObjectives','serial_lso','serial_lso')->where('status_sso','=','ACTIVE');
    }
        

}