<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OptStudentCriteriaGrade extends Model
{

    public $timestamps = false;
    protected $table = 'opt_student_criteria_grade';

    function opt_activity() {
        return $this->belongsTo('App\Models\OptActivity', 'serial_opa');
    }

    function activity_type() {
        return $this->belongsTo('App\Models\ActivityType', 'serial_att');
    }

    function optional_subject() {
        return $this->belongsTo('App\Models\OptionalSubject', 'serial_osb');
    }

    function period(){
        return $this->belongsTo('App\Models\Period','serial_prd');
    }

    function grade_criteria(){
        return $this->belongsTo('App\Models\GradeCriteria','serial_gct');
    }
}
