<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para Subperiod
 * @since   2018-04-05
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2018-04-05<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class PeriodGroupYear extends Model {

    public $timestamps = false;
    protected $table = 'period_group_year';
    protected $primaryKey = 'serial_pgy';
    
    public function periods() {
        return $this->hasMany(\App\Models\Period::class,'serial_pgy')->where('status_prd','=','ACTIVE');
    }
    
    


}
