<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 31/7/2019
 * Time: 12:01
 */

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class SessionPlanningWeek extends Model
{
    public $timestamps = false;
    protected $table = 'session_planning_week';
    protected $primaryKey = 'serial_spw';
    protected $fillable = array('name_spw', 'objective_spw', 'activities_spw', 'resource_spw', 'evaluation_spw', 'homework_spw');

    function sessionUnitPlanningWeek(){
        return $this->belongsToMany('App\Models\UnitPlanningWeek','session_unit_planning_week','serial_spw','serial_upw')
            ->where('status_suw','=','ACTIVE');
    }

}