<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StudentCriteriaGrade extends Model
{

    public $timestamps = false;
    protected $table = 'student_criteria_grade';


    function activity() {
        return $this->belongsTo('App\Models\Activity', 'serial_act');
    }

    function activity_type() {
        return $this->belongsTo('App\Models\ActivityType', 'serial_att');
    }

    function subject_course() {
        return $this->belongsTo('App\Models\SubjectCourse', 'serial_sbc');
    }

    function period(){
        return $this->belongsTo('App\Models\Period','serial_prd');
    }

    function grade_criteria(){
        return $this->belongsTo('App\Models\GradeCriteria','serial_gct');
    }

    function course(){
        return $this->belongsTo('App\Models\Course','serial_crs');
    }
}
