<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para Subject
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class Subject extends Model {

    protected $table = 'subject';
    protected $primaryKey = 'serial_sbj';
    protected $fillable = array('serial_csb', 'serial_spt','serial_lvl',
    	'serial_scy','serial_set','order_sbj','status_sbj');
    public $timestamps = false;

    function cat_subject(){
        return $this->belongsTo('App\Models\CatSubject','serial_csb');
    }
}
