<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;


class SubjectYearPlanning extends Model {

	protected $table = 'subject_year_planning';
	protected $primaryKey='serial_syp';
//	protected $fillable= array();
	public $timestamp = false;



    function levelGeneralObjectives(){
        return $this->belongsToMany('App\Models\LevelGeneralObjectives','subject_general_objectives','serial_syp','serial_lgo')
            ->where('status_lgo','=','ACTIVE');
    }

    function levelSpecificObjectives(){
        return $this->belongsToMany('App\Models\LevelSpecificObjectives','subject_specific_objectives','serial_syp','serial_lso')
            ->where('status_lso','=','ACTIVE');
    }

    function levelTransverseAxis(){
        return $this->belongsToMany('App\Models\LevelTransverseAxis','subject_transverse_axis','serial_syp','serial_ltx')
            ->where('status_ltx','=','ACTIVE');
    }

    function levelPlanningUnit(){
        return $this->belongsToMany('App\Models\LevelPlanningUnit','subject_planning_unit','serial_syp','serial_lpu')
            ->where('status_lpu','=','ACTIVE');
    }

    function subjectGroupPlanning(){
        return $this->belongsTo('App\Models\SubjectGroupPlanning','serial_syp','serial_syp')
            ->where('status_sgp','=','ACTIVE');
    }


}