<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para YearSubjectSkills
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class YearSubjectSkills extends Model {

    protected $table = 'year_subject_skills';
    protected $primaryKey = 'serial_yss';
    protected $fillable = array('serial_osb', 'serial_skl','serial_sbc',
    	'order_yss','status_yss');
    public $timestamps = false;

}
