<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\MethodologicalOrientationUnit;

class MethodologicalOrientationUnitRepository extends BaseRepository
{
    protected $modelClass = MethodologicalOrientationUnit::class;

    protected $methodologicalOrientationUnit;

    public function __construct(MethodologicalOrientationUnit $methodologicalOrientationUnit) {
        $this->methodologicalOrientationUnit = $methodologicalOrientationUnit;
    }


    public function saveMethodologicalOrientationUnit($data){
        $methodologicalOrientationUnitObj= new MethodologicalOrientationUnit();
        $methodologicalOrientationUnitObj->description_mou = $data['description_mou'];
        $methodologicalOrientationUnitObj->is_ministry_mou = $data['is_ministry_mou'];
        $methodologicalOrientationUnitObj->save();
        return $methodologicalOrientationUnitObj;
    }

}