<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\PlanningUnit;

class PlanningUnitRepository extends BaseRepository
{
    protected $modelClass = PlanningUnit::class;

    protected $planningUnit;

    public function __construct(PlanningUnit $planningUnit) {
        $this->planningUnit = $planningUnit;
    }


    public function savePlanningUnit($data){
        $planningUnitObj= new PlanningUnit();
        $planningUnitObj->description_put = $data['description_put'];
        $planningUnitObj->is_ministry_put = $data['is_ministry_put'];
        $planningUnitObj->save();
        return $planningUnitObj;
    }

}