<?php

namespace App\Repositories;

use App\Models\SubjectIndicatorsUnit;


class SubjectIndicatorsUnitRepository extends BaseRepository {

    protected $modelClass = SubjectIndicatorsUnit::class;

    protected $subjectResourcesUnit;


    public function __construct(SubjectIndicatorsUnit $subjectResourcesUnit) {
        $this->subjectResourcesUnit = $subjectResourcesUnit;
    }


    public function setIndicatorsToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectResourcesUnit->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_liu','=',$data['serial_liu'])
            ->first();
        if(!$result){
            $subjectResourcesUnit = new SubjectIndicatorsUnit();
            $subjectResourcesUnit->serial_spu=$data['serial_spu'];
            $subjectResourcesUnit->serial_liu=$data['serial_liu'];
            $subjectResourcesUnit->save();
            return $subjectResourcesUnit;

        }else{
            $result->status_siu=$data['status_siu'];
            $result->save();
            return $result;
        }
        return false;
    }

}
