<?php

namespace App\Repositories;

use App\Models\SubjectSpecificObjectives;


class SubjectSpecificObjectivesRepository extends BaseRepository {

    protected $modelClass = SubjectSpecificObjectives::class;

    protected $subjectSpecificObjectives;


    public function __construct(SubjectSpecificObjectives $subjectSpecificObjectives) {
        $this->subjectSpecificObjectives = $subjectSpecificObjectives;
    }


    public function setSpecificObjectivesToSubjectYearPlanning($data) {
        //check if exist
        $result= $this->subjectSpecificObjectives->where('serial_syp','=',$data['serial_syp'])
            ->where('serial_lso','=',$data['serial_lso'])
            ->first();
        if(!$result){
            $subjectSpecificObjective = new SubjectSpecificObjectives();
            $subjectSpecificObjective->serial_syp=$data['serial_syp'];
            $subjectSpecificObjective->serial_lso=$data['serial_lso'];
            $subjectSpecificObjective->save();
            return $subjectSpecificObjective;

        }else{
            $result->status_sso=$data['status_sso'];
            $result->save();
            return $result;
        }
        return false;

    }

}
