<?php

namespace App\Repositories;

use App\Models\SubjectTransverseAxis;


class SubjectTransverseAxisRepository extends BaseRepository {

    protected $modelClass = SubjectTransverseAxis::class;

    protected $subjectTransverseAxis;


    public function __construct(SubjectTransverseAxis $subjectTransverseAxis) {
        $this->subjectTransverseAxis = $subjectTransverseAxis;
    }


    public function setTransverseAxisToSubjectYearPlanning($data) {
        //check if exist
        $result= $this->subjectTransverseAxis->where('serial_syp','=',$data['serial_syp'])
            ->where('serial_ltx','=',$data['serial_ltx'])
            ->first();
        if(!$result){
            $subjectTransverseAxis = new SubjectTransverseAxis();
            $subjectTransverseAxis->serial_syp=$data['serial_syp'];
            $subjectTransverseAxis->serial_ltx=$data['serial_ltx'];
            $subjectTransverseAxis->save();
            return $subjectTransverseAxis;

        }else{
            $result->status_trx=$data['status_trx'];
            $result->save();
            return $result;
        }
        return false;

    }

}
