<?php
/**
 * Modelo applicant guardian.
 * User: Henry Vivanco <hvvivanco@rutatec.com>
 * Date: 21/1/2019
 * Time: 10:17
 */

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class ApplicantGuardian extends Model
{
    protected $table = 'applicant_guardian';
    protected $primaryKey = 'serial_agd';
    protected $fillable = array('serial_cou','serial_ste','serial_cnt','serial_par',
        'first_name_agd','last_name_agd','id_agd','email_agd','phone_agd','main_street_agd',
        'number_street_agd','secondary_street_agd','city_residence_agd','sector_agd','parent_ex_student','work_company_agd','number_applicants_agd','status_agd');
}