<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para IncidenceStudent
 * @since   2017-03-08
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-03-08<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class IncidenceStudent extends Model {

    protected $table = 'incidence_student';
    protected $primaryKey = 'serial_ist';
    protected $fillable = array('serial_ica', 'serial_usr','serial_std',
    	'serial_sbc','serial_osb','serial_sbp','serial_scd','date_ist','insert_ist','comentary_ist','status_ist','value_ist','by_subject_ist','serial_usr_delete_ist',
    	'comentary_delete_ist');
    public $timestamps = false;

    public function incidenceCategory(){
        return $this->belongsTo(IncidenceCategory::class, 'serial_ica');
    }

}
