<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelStrategiesUnit extends Model {

    public $timestamps = false;
    protected $table = 'level_strategies_unit';
    protected $primaryKey = 'serial_lsu';


    function methodologicalStrategiesUnit(){
        return $this->belongsTo('App\Models\MethodologicalStrategiesUnit','serial_msu','serial_msu')->where('status_msu','=','ACTIVE');
    }

    function subjectStrategiesUnit(){
        return $this->belongsTo('App\Models\SubjectStrategiesUnit','serial_lsu','serial_lsu')->where('status_ssu','=','ACTIVE');
    }


}