<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para OptionalSubject
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class OptionalSubject extends Model {

    protected $table = 'optional_subject';
    protected $primaryKey = 'serial_osb';
    protected $fillable = array('serial_pgy', 'serial_csb','per_serial_pgy',
    	'serial_aca','serial_emp','status_osb','grade_type_sbc',
    	'has_options','project_osb','abilities_osb');
    public $timestamps = false;

    function cat_subject(){
        return $this->belongsTo('App\Models\CatSubject','serial_csb');
    }

    function levelOptionalGroup(){
        return $this->belongsToMany('App\Models\LevelOptionalGroup','group_optional_subject','serial_osb','serial_lop')->where('status_gos','=','ACTIVE');
    }

}
