<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;


/**
 * Modelo para SubperiodDiscipline
 * @since   2017-07-28
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-28<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class SubperiodDiscipline extends Model {

    public $timestamps = false;
    protected $table = 'subperiod_discipline';
    protected $primaryKey = null;
    

    /**
	 * Set the keys for a save update query.
	 * This is a fix for tables with composite keys	 
	 *
	 * @param  \Illuminate\Database\Eloquent\Builder  $query
	 * @return \Illuminate\Database\Eloquent\Builder
	 */
	protected function setKeysForSaveQuery(Builder $query)
	{ 

	      $query->where('serial_sbp', '=', $this->serial_sbp)
                ->where('serial_std', '=', $this->serial_std)
            	->where('serial_spt', '=', $this->serial_spt)
            	->where('serial_lvl', '=', $this->serial_lvl)
            	->where('serial_scy', '=', $this->serial_scy)
            	->where('serial_set', '=', $this->serial_set);

	    return $query;
	}







}
