<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\GeneralAreaObjectives;

class GeneralAreaObjectiveRepository extends BaseRepository
{
    protected $modelClass = GeneralAreaObjectives::class;

    protected $generalAreaObjectives;

    public function __construct(GeneralAreaObjectives $generalAreaObjectives) {
        $this->generalAreaObjectives = $generalAreaObjectives;
    }


    public function saveGeneralAreaObjectives($data){
        $generalAreaObjectivesObj= new GeneralAreaObjectives();
        $generalAreaObjectivesObj->description_gao = $data['description_gao'];
        $generalAreaObjectivesObj->is_ministry_objective = $data['is_ministry_objective'];
        $generalAreaObjectivesObj->save();
        return $generalAreaObjectivesObj;
    }

}