<?php

namespace App\Repositories;

use App\Models\News;
use App\Repositories\BaseRepository;

/**
 * Repositorio del usuario
 * @author Fernando Salas <rfsalas@rutatec.com>
 * @since  2017-05-19
 */
class NewRepository extends BaseRepository {

    protected $modelClass = News::class;
    protected $new;

    //Declaración del constructor
    public function __construct(News $new) {
        $this->new = $new;
    }

    
    public function getNews() {
        $new = $this->newQuery();
        $new->where('status_new', '=', 'ACTIVE');
        $new->orderBy(\DB::raw('ISNULL(priority_new), priority_new'), 'ASC');
        return $this->doQueryGet($new);
    }
    
    

}
