<?php

namespace App\Repositories;

use App\Models\SubjectEvaluationIndicators;


class SubjectEvaluationIndicatorsRepository extends BaseRepository {

    protected $modelClass = SubjectEvaluationIndicators::class;

    protected $subjectEvaluationIndicators;


    public function __construct(SubjectEvaluationIndicators $subjectEvaluationIndicators) {
        $this->subjectEvaluationIndicators = $subjectEvaluationIndicators;
    }


    public function setEvaluationIndicatorsToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectEvaluationIndicators->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lei','=',$data['serial_lei'])
            ->first();
        if(!$result){
            $subjectEvaluationIndicators = new SubjectEvaluationIndicators();
            $subjectEvaluationIndicators->serial_spu=$data['serial_spu'];
            $subjectEvaluationIndicators->serial_lei=$data['serial_lei'];
            $subjectEvaluationIndicators->save();
            return $subjectEvaluationIndicators;

        }else{
            $result->status_sei=$data['status_sei'];
            $result->save();
            return $result;
        }
        return false;
    }

}
