<?php

namespace App\Repositories;

use App\Models\SubjectObjectiveUnit;


class SubjectObjectiveUnitRepository extends BaseRepository {

    protected $modelClass = SubjectObjectiveUnit::class;

    protected $subjectObjectiveUnit;


    public function __construct(SubjectObjectiveUnit $subjectObjectiveUnit) {
        $this->subjectObjectiveUnit = $subjectObjectiveUnit;
    }


    public function setSpecificObjectiveToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectObjectiveUnit->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lou','=',$data['serial_lou'])
            ->first();
        if(!$result){
            $subjectObjectiveUnit = new SubjectObjectiveUnit();
            $subjectObjectiveUnit->serial_spu=$data['serial_spu'];
            $subjectObjectiveUnit->serial_lou=$data['serial_lou'];
            $subjectObjectiveUnit->save();
            return $subjectObjectiveUnit;

        }else{
            $result->status_sot=$data['status_sot'];
            $result->save();
            return $result;
        }
        return false;

    }

}
