<?php

namespace App\Repositories;

use App\Models\SubjectResourcesUnit;


class SubjectResourcesUnitRepository extends BaseRepository {

    protected $modelClass = SubjectResourcesUnit::class;

    protected $subjectResourcesUnit;


    public function __construct(SubjectResourcesUnit $subjectResourcesUnit) {
        $this->subjectResourcesUnit = $subjectResourcesUnit;
    }


    public function setResourceToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectResourcesUnit->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lru','=',$data['serial_lru'])
            ->first();
        if(!$result){
            $subjectResourcesUnit = new SubjectResourcesUnit();
            $subjectResourcesUnit->serial_spu=$data['serial_spu'];
            $subjectResourcesUnit->serial_lru=$data['serial_lru'];
            $subjectResourcesUnit->save();
            return $subjectResourcesUnit;

        }else{
            $result->status_sru=$data['status_sru'];
            $result->save();
            return $result;
        }
        return false;
    }

}
